Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault.credentials
Interface SimplePassiveCredential

All Superinterfaces:
  Credential, PassiveCredential

All Known Implementing Classes:
  SimplePassiveCredential

    public interface SimplePassiveCredential

extends PassiveCredential

Simple standard implementation of PassiveCredential. This credential is only a container of the user's secret. Portlets may call the getSecret() method in order to obtain and work with this secret.

Since:
  5.1.0.1

Field Summary

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Method Summary
`java.lang.Object` | `getSecret()` Returns the user's secret as an object.
`int` | `getSecretType()` Returns the credential's Secret Type in terms of the constants declared in the Credential Vault Portlet Service. Should be overwritten by any child class that "overwrites" the secret attribute.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Initializes a new SimplePassiveCredential.

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.PassiveCredential
`isActive`

Method Detail

### init

    void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Initializes a new SimplePassiveCredential.

  Specified by:
    `init` in interface `Credential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET JavaObjectCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getSecretType

    int getSecretType()

  Description copied from interface: `Credential`
  Returns the credential's Secret Type in terms of the constants declared in the Credential Vault Portlet Service. Should be overwritten by any child class that "overwrites" the secret attribute.

  Specified by:
    `getSecretType` in interface `Credential`
  Returns:
    int Credential Secret Type Identifier
  See Also:
    `CredentialVaultService`

### getSecret

    java.lang.Object getSecret()

  Returns the user's secret as an object.

  Returns:
    Object the user secret

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD